Page MenuHomeFreeBSD

[lltable] Unify datapath feedback mechanism.
ClosedPublic

Authored by melifaro on Aug 2 2021, 11:06 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, May 23, 6:34 PM
Unknown Object (File)
Thu, May 9, 6:35 AM
Unknown Object (File)
Tue, May 7, 4:52 PM
Unknown Object (File)
Sat, May 4, 10:27 PM
Unknown Object (File)
Tue, Apr 30, 11:05 AM
Unknown Object (File)
Apr 25 2024, 3:34 AM
Unknown Object (File)
Apr 24 2024, 7:52 PM
Unknown Object (File)
Apr 19 2024, 6:49 PM
Subscribers

Details

Summary

Unify lltable datapath feedback mechanism across IPv4 and IPv6.

Use newly-created llentry_request_feedback() and llentry_get_hittime() to request datapatch usage
check and fetch the results.

This simplifies the datapath feedback management code, thus reducing the diff for the upcoming RFC 8950 support.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

melifaro retitled this revision from [lltable] Unify datapath feedback mechamism. to [lltable] Unify datapath feedback mechanism..Aug 2 2021, 11:15 PM
melifaro edited the summary of this revision. (Show Details)
melifaro added a reviewer: network.
This revision was not accepted when it landed; it landed in state Needs Review.Aug 4 2021, 10:56 PM
This revision was automatically updated to reflect the committed changes.